Bug 486738 - satellite install, selinux denials sqlplus
satellite install, selinux denials sqlplus
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
wes hayutin
na
:
Depends On:
Blocks: 457079
  Show dependency treegraph
 
Reported: 2009-02-21 11:22 EST by wes hayutin
Modified: 2009-09-10 15:12 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:12:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-02-21 11:22:20 EST
Description of problem:

Description of problem:
satellite install, selinux denials sqlplus 

Satellite-5.3.0-RHEL5-re20090220.1-i386-embedded-oracle.iso

clear audit log
install latest satellite iso
check audit log

type=AVC msg=audit(1235187342.167:119): avc:  denied  { search } for  pid=8035 comm="sqlplus" name="mnt" dev=dm-0 ino=5657793 scontext=root:system_r:oracle_sqlplus_t:s0-s0:
c0.c1023 tcontext=system_u:object_r:mnt_t:s0 tclass=dir
type=AVC msg=audit(1235187342.167:120): avc:  denied  { search } for  pid=8035 comm="sqlplus" name="mnt" dev=dm-0 ino=5657793 scontext=root:system_r:oracle_sqlplus_t:s0-s0:
c0.c1023 tcontext=system_u:object_r:mnt_t:s0 tclass=dir
type=AVC msg=audit(1235187342.167:121): avc:  denied  { search } for  pid=8035 comm="sqlplus" name="mnt" dev=dm-0 ino=5657793 scontext=root:system_r:oracle_sqlplus_t:s0-s0:
c0.c1023 tcontext=system_u:object_r:mnt_t:s0 tclass=dir
type=AVC msg=audit(1235187342.167:122): avc:  denied  { search } for  pid=8035 comm="sqlplus" name="mnt" dev=dm-0 ino=5657793 scontext=root:system_r:oracle_sqlplus_t:s0-s0:
c0.c1023 tcontext=system_u:object_r:mnt_t:s0 tclass=dir
type=AVC msg=audit(1235187342.167:123): avc:  denied  { search } for  pid=8035 comm="sqlplus" name="mnt" dev=dm-0 ino=5657793 scontext=root:system_r:oracle_sqlplus_t:s0-s0:
c0.c1023 tcontext=system_u:object_r:mnt_t:s0 tclass=dir
type=AVC msg=audit(1235187342.167:124): avc:  denied  { search } for  pid=8035 comm="sqlplus" name="mnt" dev=dm-0 ino=5657793 scontext=root:system_r:oracle_sqlplus_t:s0-s0:
c0.c1023 tcontext=system_u:object_r:mnt_t:s0 tclass=dir
type=AVC msg=audit(1235187342.167:125): avc:  denied  { search } for  pid=8035 comm="sqlplus" name="mnt" dev=dm-0 ino=5657793 scontext=root:system_r:oracle_sqlplus_t:s0-s0:
Comment 1 wes hayutin 2009-02-25 14:00:30 EST
reproduced this w/ [root@rlx-3-18 audit]# rpm -q screen
screen-4.0.3-1.el5

type=AVC msg=audit(1235575751.055:113): avc:  denied  { search } for  pid=8293 comm="sqlplus" name="mnt" dev=dm-0 ino=8192001 scontext=root:system_r:oracle_sqlplus_t:s0-s0:c0.c1023 tcontext=s
ystem_u:object_r:mnt_t:s0 tclass=dir
type=AVC msg=audit(1235575751.056:114): avc:  denied  { search } for  pid=8293 comm="sqlplus" name="mnt" dev=dm-0 ino=8192001 scontext=root:system_r:oracle_sqlplus_t:s0-s0:c0.c1023 tcontext=s
ystem_u:object_r:mnt_t:s0 tclass=dir
type=AVC msg=audit(1235575751.056:115): avc:  denied  { search } for  pid=8293 comm="sqlplus" name="mnt" dev=dm-0 ino=8192001 scontext=root:system_r:oracle_sqlplus_t:s0-s0:c0.c1023 tcontext=s
ystem_u:object_r:mnt_t:s0 tclass=di
Comment 2 Jan Pazdziora 2009-02-25 14:12:50 EST
This one is not (never was suspected to be) screen related.

I'll address this eventually.
Comment 3 wes hayutin 2009-03-09 16:13:19 EDT
fyi..  recreated in Satellite-5.3.0-RHEL5-re20090306.2-i386-embedded-oracle.iso
Comment 4 Jan Pazdziora 2009-03-13 05:24:19 EDT
Fix in Spacewalk repository, 04664017fe2947c5110a8cc8a77e826d42e5fb69.
Comment 5 Jan Pazdziora 2009-03-13 05:25:21 EDT
Oops, the commit is ede70d93542d103d4bb1a643b270b05ae2e50ade, after rebase.
Comment 6 Jan Pazdziora 2009-03-13 05:49:25 EDT
Tagged as spacewalk-admin-0.5.12-1.
Comment 7 Jan Pazdziora 2009-03-23 07:14:37 EDT
With spacewalk-admin-0.5.12-1 available on Satellite-5.3.0-RHEL5-re20090317.0 compose, moving ON_QA.
Comment 8 wes hayutin 2009-03-23 15:00:06 EDT
fresh install w/ no denials

[root@dhcp77-162 audit]# cat audit.log | grep denial
[root@dhcp77-162 audit]# ls /root/Satellite-5.3.0-RHEL5-re20090317.0-i386-embedded-oracle.iso 
/root/Satellite-5.3.0-RHEL5-re20090317.0-i386-embedded-oracle.iso
[root@dhcp77-162 audit]#
Comment 9 Milan Zazrivec 2009-09-02 07:31:34 EDT
Verified with last stage iso, no denials -> RELEASE_PENDING
Comment 10 Brandon Perkins 2009-09-10 15:12:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.